Subject: Re: Git project and GSoC 2026

From: Kaartic Sivaraam <[email-masked]>
Date: Thu, 22 Jan 2026 10:38:29 +0530

Hi Christian,

Thank you for initiating the discussion.

On 16/01/26 16:36, Christian Couder wrote:
> 
> The application period for mentoring organizations to participate in
> GSoC 2026 is from January 19 to February 3. Let's try to anticipate a
> bit and decide soon if the Git project wants to participate.
>

Indeed.

> If we want to participate, we need (co-)mentors, org-admins, projects
> and micro-projects ideas, and we need to update existing pages or
> create new ones on the Git Developer Pages (git.github.io) website (or
> on git-scm.org if we want to switch this to it now). Please chime in
> if you are interested.
>

I would be glad to help as an org-Admin this year too. I could act as a fallback mentor in case any mentor / co-mentor becomes unavailable during a particular period of the program.

I also Cc-ed Chandra Pratap as they expressed interest to be a co-mentor before. 

> About (co-)mentors and org-admins, Karthik, Justin, Siddharth and me
> have already expressed their interest in (co-)mentoring in internal
> GitLab discussions. I am willing to be an org-admin too.
>

Wonderful to see that we already have 5 potential mentors! Keep them coming! Also, it would be nice to hear potential idea suggestions too. The more the merrier :-)

> The Git team at GitLab is also willing to manage Slack discussions
> channels for (co-)mentors, org-admins and helpers, and then for
> accepted contributors too, in the same way as for GSoC 2025.
>

Cool!

--
Sivaraam